from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.animations import XAnimationListener

@runtime_checkable
class XSlideShowListener(XAnimationListener, Protocol):
    def paused(self) -> None: ...
    def resumed(self) -> None: ...
    def slideTransitionStarted(self) -> None: ...
    def slideTransitionEnded(self) -> None: ...
    def slideAnimationsEnded(self) -> None: ...
    def slideEnded(self, reverse: bool) -> None: ...
    def hyperLinkClicked(self, hyperLink: str) -> None: ...
